////////////////////////////////////////////////////////////////////////
//  
//  ALT Library File: Roomable 010123
//
//  Copyright (c) 2000, 2001 Kevin Forchione. All rights reserved.
//  Based on ADV.T (c) and STD.T (c) Michael Roberts.
//
//  This file is part of the ALT replacement library for ADV.T and 
//  STD.T and requires TADS 2.5.1 or later.
//
////////////////////////////////////////////////////////////////////////

#ifndef _ROOMABLE_H_
#define _ROOMABLE_H_

#include <roomactionable.h>
#include <roomdisplayable.h>
#include <roomtravelable.h>

#pragma C+

/*----------------------------------------------------------------------
 *  MIX-IN CLASS:   This class must always preced any non-mix-in classes
 *                  in a superclass list - this is required because a
 *                  mix-in can't override default methods in the root of
 *                  the hierarchy.
 *--------------------------------------------------------------------*/

/*
 *  Roomable: RoomActionable, RoomDisplayable, 
 *      RoomTravelable
 */
class Roomable: RoomActionable, RoomDisplayable, RoomTravelable
;

#pragma C-

#endif /* _ROOMABLE_H_ */
